Package uk.ac.starlink.topcat.plot2

## Class LayerId

- java.lang.Object
- - uk.ac.starlink.topcat.plot2.LayerId

-     @Equality
      public class LayerId
      extends java.lang.Object

  Identifier object for PlotLayers. Two plot layers which have equal LayerIds will produce the same plotting results.
  Since:
    10 Dec 2014
  Author:
    Mark Taylor

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LayerId​(uk.ac.starlink.ttools.plot2.Plotter plotter, uk.ac.starlink.ttools.plot2.data.DataSpec dataSpec, uk.ac.starlink.ttools.plot2.DataGeom dataGeom, uk.ac.starlink.ttools.plot.Style style)` | Constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static LayerId` | `createLayerId​(uk.ac.starlink.ttools.plot2.PlotLayer layer)` | Returns a layerId characterising a given plot layer.
    `boolean` | `equals​(java.lang.Object o)` |
    `uk.ac.starlink.ttools.plot2.DataGeom` | `getDataGeom()` | Returns the data geom.
    `uk.ac.starlink.ttools.plot2.data.DataSpec` | `getDataSpec()` | Returns the data spec.
    `uk.ac.starlink.ttools.plot2.Plotter` | `getPlotter()` | Returns the plotter.
    `uk.ac.starlink.ttools.plot.Style` | `getStyle()` | Returns the style.
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LayerId

          public LayerId​(uk.ac.starlink.ttools.plot2.Plotter plotter,
                         uk.ac.starlink.ttools.plot2.data.DataSpec dataSpec,
                         uk.ac.starlink.ttools.plot2.DataGeom dataGeom,
                         uk.ac.starlink.ttools.plot.Style style)

      Constructor.
      Parameters:
        `plotter` - plotter
        `dataSpec` - data specification
        `dataGeom` - mapping to graphics space
        `style` - layer style

  - ### Method Detail

    - #### getPlotter

          public uk.ac.starlink.ttools.plot2.Plotter getPlotter()

      Returns the plotter.
      Returns:
        plotter

    - #### getDataSpec

          public uk.ac.starlink.ttools.plot2.data.DataSpec getDataSpec()

      Returns the data spec.
      Returns:
        dataSpec

    - #### getDataGeom

          public uk.ac.starlink.ttools.plot2.DataGeom getDataGeom()

      Returns the data geom.
      Returns:
        dataGeom

    - #### getStyle

          public uk.ac.starlink.ttools.plot.Style getStyle()

      Returns the style.
      Returns:
        style

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### createLayerId

          public static LayerId createLayerId​(uk.ac.starlink.ttools.plot2.PlotLayer layer)

      Returns a layerId characterising a given plot layer.
      Parameters:
        `layer` -
      Returns:
        layer id

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.